/*
 * opendir.c
 */


#include<sys/types.h>
#include<callgate.h>

#include<stdlib.h>
#include<errno.h>
#include<string.h>
#include<dirent.h>


extern int _opendir(const char*);


DIR *opendir(const char *dirname)
{
	int rest;


	rest = _opendir(dirname);
	if (rest == -1)
		return NULL;
	return (DIR*)rest;
}
